package click.kamil.enterprise.core;

import lombok.Data;
import java.time.Instant;

@Data
public class TransitionContext<T> {
    private final String userId;
    private final Instant timestamp;
    private final T payload;

    public TransitionContext(String userId, T payload) {
        this.userId = userId;
        this.timestamp = Instant.now();
        this.payload = payload;
    }
}
